﻿
@{
    ViewBag.Title = "Quản lý doanh thu";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
    var getSevenDay = (Cdio447.ViewModels.GeneInfoUser)ViewBag.totalSevenDay;
}
@section styles {
    <link href="~/Content/assets/css/chart.min.css" rel="stylesheet" type="text/css" />
}

<div>
    <div class="col-12"> 
        @{ Html.RenderAction("Getinfo", "Revenue"); }
    </div>
    <div class="col-12 col-lg-9">
        <div class="user-infopl-statis my-3">
            <div class="box-canvasUserSta">
                <canvas id="canvasUserSta"></canvas>
            </div>
        </div>
    </div>
</div>
@section scripts {
    <script src="~/Content/assets/js/chart.min.js"></script>
    <script>
        //ajax get data last seven date
        function userStatistic(handleData) {
            $.ajax({
                url: "/Revenue/GetRevenue",
                type: 'POST',
                data: JSON.stringify([]),
                contentType: 'application/json;charset=UTF-8',
                dataType: "json",
                async: true,
                success: function (response) {
                    handleData(response);
                    console.log(response);
                },
                error: function () {
                    alert("Có lỗi xảy ra trong quá trình thống kê");
                }
            });
            return false;
        }
        var arrSevenData = [];
        //call ajax to drwal chart
        userStatistic(function (data) {
            $.each(data, function (i, item) {
                arrSevenData.push(item);
            });
            let myChart = document.getElementById('canvasUserSta').getContext('2d');
            // Global Options
            Chart.defaults.global.defaultFontSize = 18;
            Chart.defaults.global.defaultFontColor = '#777';
            let massPopChart = new Chart(myChart, {
                type: 'bar', // bar, horizontalBar, pie, line, doughnut, radar, polarArea
                data: {
                    labels: [
                        arrSevenData[6],
                        arrSevenData[5],
                        arrSevenData[4],
                        arrSevenData[3],
                        arrSevenData[2],
                        arrSevenData[1],
                        arrSevenData[0],
                    ],
                    datasets: [{
                        label: 'VND',
                        data: [
                            arrSevenData[13],
                            arrSevenData[12],
                            arrSevenData[11],
                            arrSevenData[10],
                            arrSevenData[9],
                            arrSevenData[8],
                            arrSevenData[7],
                        ],
                        //backgroundColor:'green',
                        backgroundColor: [
                            'rgba(255, 99, 132, 0.6)',
                            'rgba(54, 162, 235, 0.6)',
                            'rgba(255, 206, 86, 0.6)',
                            'rgba(75, 192, 192, 0.6)',
                            'rgba(153, 102, 255, 0.6)',
                            'rgba(255, 159, 64, 0.6)',
                            'rgba(255, 99, 132, 0.6)'
                        ],
                        borderWidth: 1,
                        borderColor: '#777',
                        hoverBorderWidth: 3,
                        hoverBorderColor: '#000'
                    }]
                },
                options: {
                    title: {
                        display: true,
                        text: 'Thống kê doanh thu 7 ngày gần đây',
                        fontSize: 25
                    },
                    legend: {
                        display: false,
                    },
                    layout: {
                        padding: {
                            left: 50,
                            right: 0,
                            bottom: 0,
                            top: 0
                        }
                    },
                    tooltips: {
                        enabled: true
                    }
                }
            });
        });
    </script>
}

